<div class="container" [formGroup]="traineeForm">
  <div class="row justify-content-center">
    <div class="col-md-6">
      <h2 class="mt-3" id="title">Trainee-Profile</h2>
      <div class="form-group mb-3">
        <label for="firstName" class="form-label">First Name:</label>
        <input
          type="text"
          class="form-control"
          id="firstName"
          formControlName="firstName"
          readonly
        />
      </div>
      <div class="form-group mb-3">
        <label for="lastName" class="form-label">Last Name:</label>
        <input
          type="text"
          class="form-control"
          id="lastName"
          formControlName="lastName"
          readonly
        />
      </div>
      <div class="form-group mb-3">
        <label for="dob" class="form-label">Date of Birth:</label>
        <input
          type="text"
          class="form-control"
          id="dob"
          formControlName="dob"
          readonly
        />
      </div>
      <div class="form-group mb-3">
        <label for="address" class="form-label">Address:</label>
        <input
          type="text"
          class="form-control"
          id="address"
          formControlName="address"
          readonly
        />
      </div>
      <div class="form-check mb-3">
        <input
          type="checkbox"
          class="form-check-input"
          id="isActive"
          formControlName="isActive"
        />
        <label class="form-check-label" for="isActive">Is Active</label>
      </div>
    </div>
    <div class="col-md-6">
      <div class="mb-3 mt-3">
        <label for="trainersList" class="form-label">Trainers List:</label>
        <ul
          id="trainersList"
          class="list-group"
          style="max-height: 380px; overflow-y: auto"
        >
          <li
            class="list-group-item"
            *ngFor="let trainer of trainerControls; let i = index"
          >
            <strong>Trainer {{ i + 1 }} :</strong>
            <ul class="trainers-list">
              <li>
                <strong>First Name:</strong>
                {{ trainer.get("firstName")?.value }}
              </li>
              <li>
                <strong>Last Name:</strong> {{ trainer.get("lastName")?.value }}
              </li>
              <li>
                <strong>Specialization:</strong>
                {{ trainer.get("specialization")?.value }}
              </li>
            </ul>
          </li>
        </ul>
      </div>
    </div>

    <div class="container mt-4 profile-container">
      <a
        class="btn submit-button"
        [routerLink]="['/view-trainings', username]"
        routerLinkActive="active"
        >View Trainings</a
      >
      <a
        class="btn submit-button"
        [routerLink]="['/update-trainee', username]"
        routerLinkActive="active"
        >Update Trainee Profile</a
      >
      <a
        class="btn submit-button"
        [routerLink]="['/change-password', username]"
        routerLinkActive="active"
        >Change Password</a
      >
      <a
        class="btn submit-button"
        [routerLink]="['/add-training', username]"
        routerLinkActive="active"
        >Add Training</a
      >
      <a class="btn btn-danger m-1" (click)="deleteProfile()"
        >Delete Trainee Profile</a
      >
    </div>
  </div>
</div>
